Subject: Re: [IPsec] Charter update
From: Sean Turner <[email-masked]>
To: Yaron Sheffer <[email-masked]>
Cc: IPsecME WG <[email-masked]>
Date: Mon, 28 Jul 2014 11:16:22 -0400
List-Id: Discussion of IPsec protocols <ipsec.ietf.org>

On Jul 19, 2014, at 12:48, Yaron Sheffer <[email-masked]> wrote:

> IPsec folks,
> 
> Our existing charter (http://tools.ietf.org/wg/ipsecme/charters) is badly out of date. Below is a proposed charter revision. Please review and comment on the list. We might also discuss the new charter in the face-to-face next week.

I don’t think a revised charter is needed to strike the references to ADVPN as well as extend the window to adopt new wg items by six more months.  There’s an existing time-out in the charter (January 2015) and if nothing is adopted by the existing time-out I think the WG should close - assuming of course all of the existing drafts have been published as RFCs.  

Obviously, If the wg is closed the mailing list should remain open to provide a place for the community to discuss ipsec-related issues and a place for ADs to ask about AD-sponsored drafts.

If a re-charter does proceed, two things:

1)   I can see extending the time-out if you’re adding new work items during this recharter not if you’re removing references to work items.  I’d suggest that January 2015 remain as the time-out date.

2) I’d tweak the following a bit to lead more with the current state of affairs:

OLD:

>    The current work items include:
>   
>    Recently discovered incorrect behavior of ISPs poses a
>    challenge to IKE, whose UDP messages (especially #3 and #4)
>    sometimes get fragmented at the IP level and then dropped
>    by these ISPs. There is interest in solving this issue by
>    allowing transport of IKE over TCP; this is currently
>    implemented by some vendors. The group will standardize such
>    a solution.
>   
>    The WG will review and revise the list of mandatory-to-
>    implement algorithms for ESP and AH based on five years of experience 
>    with newer algorithms and cryptographic modes.
>   
>    The WG will revise the IKEv2 specification with a small number
>    of mandatory tests required for the secure operation of IKEv2
>    when using elliptic curve cryptography. This work will be based
>    on draft-sheffer-ipsecme-dh-checks.
> 
>    IKEv2 has had many interoperable implementations and can now be considered
>    a mature protocol. The WG will republish the protocol as an Internet Standard.
> 
>    At the time of writing, all the above are in late stages of the IETF process.
>    Therefore, the WG will go into low-power mode: it will remain active as a focal point
>    for the IPsec community. But it will only take on new work items if a strong community
>    interest can be seen.
> 
>    This charter will expire in July 2015 (12 months from approval).
>    If the charter is not updated before that time, the WG will be
>    closed and any remaining documents revert back to individual
>    Internet-Drafts.

NEW:

The WG has progressed the following documents to the IESG for publication and will remain open until these drafts are published as RFCs or this charter is revised to add new work items:

  draft-ietf-ipsecme-esp-ah-reqts: Revises the list of
  mandatory-to-implement algorithms for ESP and AH
  based on five years of experience with newer
  algorithms and cryptographic modes.

  draft-ietf-ipsecme-ikev2-fragmentation: Performs
  fragmentation of large messages by IKEv2 itself,
  replacing them by series of smaller messages.

  draft-kivinen-ipsecme-ikev2-rfc5996bis: Republishes
  the protocol as an Internet Standard because the
  protocol is now a mature protocol.

  draft-kivinen-ipsecme-signature-auth: Revises the
  IKEv2 specification with a small number of mandatory
  tests required for the secure operation of IKEv2 when
  using elliptic curve cryptography.

This charter expires in January 2015.  If the charter is not updated before that time to add new WG items, the WG will be closed.  New work items will be adopted only if there if there is strong community support can be demonstrated.  In the event of closure, the WG will request that the mailing remain open to act a focal point for the IPsec community.

spt